petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetNonzeroState

Returns a 64 bit integer representing the current state of nonzeros in the matrix. If the matrix has had no new nonzero locations added to the matrix since the previous call then the value will be the same, otherwise it will be larger

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNonzeroState(Mat mat,PetscObjectState *state)

Not Collective

### Input Parameter

A -the matrix

### Output Parameter

state -the current state

Notes: You can only compare states from two different calls to the SAME matrix, you cannot compare calls between different matrices

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages